diff --git a/src/bin/psql/describe.c b/src/bin/psql/describe.c
index 6dfa33f..07a2be5 100644
--- a/src/bin/psql/describe.c
+++ b/src/bin/psql/describe.c
@@ -206,9 +206,15 @@ describeFunctions(const char *functypes, const char *pattern, bool verbose, bool
 	PGresult   *res;
 	printQueryOpt myopt = pset.popt;
 
+	if (strlen(functypes) != strspn(functypes, "antwS+"))
+	{
+		fprintf(stderr, _("\\df only takes [antwS+] as options\n"));
+		return true;
+	}
+
 	if (showWindow && pset.sversion < 80400)
 	{
-		fprintf(stderr, _("\\df does not take a \"w\" decorator in %d.%d.\n"),
+		fprintf(stderr, _("\\df does not take a \"w\" option in %d.%d.\n"),
 				pset.sversion / 10000, (pset.sversion / 100) % 100);
 		return true;
 	}
